[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#725154: pu: package oss-compat/2



On Wed, 02 Oct 2013 20:29:00 +0100, "Adam D. Barratt"
<adam@adam-barratt.org.uk> wrote:
> On Wed, 2013-10-02 at 07:52 +0200, Stephen Kitt wrote:
> > oss-compat in stable suffers from two serious bugs:
> >   * 660803, related to changes in kmod (and causing issues when
> >     installing Debian Edu wheezy);
> >   * 718241, which was initially just a tracking bug for testing but
> >     also applies to wheezy.
> 
> --- a/debian/postinst
> +++ b/debian/postinst
> @@ -32,6 +32,8 @@ case "$1" in
>          fi
>          # Cleanup stable configuration link
>          [ -L ${oldconffile} ] && rm -f ${oldconffile}
> +        # Wheezy configuration file (using install directives)
> +        [ -f ${curconffile} ] && [ "$(md5sum ${curconffile} | cut -d\ -f1)" = "88222606b0a3ba8b0825c5000c754e6f" ] && cp /lib/oss-compat/linux $
> 
> Copy and paste failure?

Oh dear, thanks for catching that, let me get my brown paper bag...

I'm attaching the correct patch.

Regards,

Stephen
diff --git a/debian/changelog b/debian/changelog
index 533343f..57a79dd 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+oss-compat (2+deb7u1) wheezy; urgency=low
+
+  * Use softdep directives in the modprobe configuration. (Closes:
+    #660803.)
+  * Remove oss-compat.conf when removing the package, so it doesn't load
+    the OSS modules when configured but not installed. (Closes: #718241.)
+
+ -- Stephen Kitt <skitt@debian.org>  Wed, 02 Oct 2013 07:30:56 +0200
+
 oss-compat (2) unstable; urgency=low
 
   [ Stephen Kitt ]
diff --git a/debian/postinst b/debian/postinst
index e0fe783..c129818 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -32,6 +32,8 @@ case "$1" in
         fi
         # Cleanup stable configuration link
         [ -L ${oldconffile} ] && rm -f ${oldconffile}
+        # Wheezy configuration file (using install directives)
+        [ -f ${curconffile} ] && [ "$(md5sum ${curconffile} | cut -d\  -f1)" = "88222606b0a3ba8b0825c5000c754e6f" ] && cp /lib/oss-compat/linux ${conffile}
 
         if lsmod | grep -q "^snd " ; then
           modprobe snd || true
diff --git a/debian/prerm b/debian/prerm
new file mode 100644
index 0000000..3cb73d4
--- /dev/null
+++ b/debian/prerm
@@ -0,0 +1,26 @@
+#!/bin/sh
+set -e
+
+case "$1" in
+    remove)
+	conffile=/etc/modprobe.d/oss-compat.conf
+	# If the installed file matches a known version, remove it
+	if [ -f ${conffile} ]; then
+	    md5sum=$(md5sum ${conffile} | cut -d\  -f1)
+	    # Wheezy version
+	    md5wheezy=88222606b0a3ba8b0825c5000c754e6f
+	    # Jessie version
+	    md5jessie=cb772524a069ec273d7ca6db520388c1
+	    if [ "${md5sum}" = "${md5wheezy}" -o "${md5sum}" = "${md5jessie}" ]; then
+		rm -f /etc/modprobe.d/oss-compat.conf
+	    fi
+	fi
+	;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/linux b/linux
index 98c8b57..d24b108 100644
--- a/linux
+++ b/linux
@@ -1,3 +1,3 @@
-install snd-pcm modprobe --ignore-install snd-pcm $CMDLINE_OPTS && { modprobe --quiet snd-pcm-oss ; : ; }
-install snd-mixer modprobe --ignore-install snd-mixer $CMDLINE_OPTS && { modprobe --quiet snd-mixer-oss ; : ; }
-install snd-seq modprobe --ignore-install snd-seq $CMDLINE_OPTS && { modprobe --quiet snd-seq-midi ; modprobe --quiet snd-seq-oss ; : ; }
+softdep snd-pcm post: snd-pcm-oss
+softdep snd-mixer post: snd-mixer-oss
+softdep snd-seq post: snd-seq-midi snd-seq-oss

Attachment: signature.asc
Description: PGP signature


Reply to: